Skip to main content
When you deploy OpenOps for the first time, it creates an admin user account. The email and password for the account are defined in two variables in your .env file:
  • OPS_OPENOPS_ADMIN_EMAIL
  • OPS_OPENOPS_ADMIN_PASSWORD
The admin user account created this way has exactly one distinction: it can be used to create other user accounts.

Creating new user accounts

OpenOps doesn’t currently provide a UI for creating user accounts; instead, you can do it with two API calls. The first API call is to sign in the admin user:
curl -X POST http://your-openops-installation/api/v1/authentication/sign-in \
  -H "Content-Type: application/json" \
  -c cookies.txt \
  -d '{
    "email": "your-admin-email",
    "password": "your-admin-password"
  }'
The authentication token is returned as an HTTP-only cookie (not in the response body). Use the -c flag to save cookies to a file, then pass them with -b in subsequent requests. The next call creates a new user account. Specify values for the four empty properties in the body:
curl -X POST http://your-openops-installation/api/v1/authentication/sign-up \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
    "password": "",
    "email": "",
    "firstName": "",
    "lastName": "",
    "trackEvents": false,
    "newsLetter": false
  }'
The user account that you create this way will be able to perform all operations in OpenOps except for creating new user accounts. Every time you do that, you’ll still need an admin token.